Package fr.gouv.vitam.storage.offers.tape.exception

# Enum Class ReadWriteErrorCode

java.lang.Object
java.lang.Enum<ReadWriteErrorCode>
fr.gouv.vitam.storage.offers.tape.exception.ReadWriteErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<ReadWriteErrorCode>`, `Constable`

public enum ReadWriteErrorCode extends Enum<ReadWriteErrorCode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FILE_NOT_FOUND`
  `INTERNAL_ERROR_SERVER`
  `KO_DB_PERSIST`
  `KO_DRIVE_STATUS_KO_AFTER_WRITE_ERROR`
  `KO_LABEL_DISCORDING`
  `KO_LABEL_DISCORDING_NOT_EMPTY_TAPE`
  `KO_ON_DELETE_ARCHIVED_BACKUP`
  `KO_ON_END_OF_TAPE`
  Tape is full
  `KO_ON_GO_TO_POSITION`
  `KO_ON_GOTO_FILE_COUNT`
  Ko on move to end of data according to file count of tape catalog
  `KO_ON_LOAD_TAPE`
  `KO_ON_LOAD_THEN_STATUS`
  `KO_ON_MOVE_TO_CACHE`
  `KO_ON_READ_FROM_TAPE`
  `KO_ON_READ_LABEL`
  `KO_ON_REWIND_FSF_BSF_TAPE`
  `KO_ON_REWIND_TAPE`
  `KO_ON_STATUS`
  `KO_ON_UNLOAD_TAPE`
  `KO_ON_UNLOAD_THEN_STATUS`
  `KO_ON_WRITE_TO_FS`
  `KO_ON_WRITE_TO_TAPE`
  `KO_REWIND_BEFORE_FORCE_OVERRIDE_NON_EMPTY_TAPE`
  `KO_REWIND_BEFORE_UNLOAD_TAPE`
  `KO_TAPE_CONFLICT_STATE`
  `KO_TAPE_CURRENT_POSITION_GREATER_THAN_FILE_COUNT`
  `KO_TAPE_IS_BUSY`
  `KO_TAPE_IS_OUTSIDE`
  `KO_UNKNOWN_CURRENT_POSITION`
  `NO_EMPTY_SLOT_FOUND`
  `NULL_CURRENT_TAPE`
  `TAPE_LOCATION_CONFLICT_ON_LOAD`
  Previous location should not be a drive, but a slot or mailbox Current location should not be null
  `TAPE_LOCATION_CONFLICT_ON_UNLOAD`
  `TAPE_LOCATION_UNKNOWN`
  `TAPE_NOT_FOUND_IN_CATALOG`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReadWriteErrorCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ReadWriteErrorCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INTERNAL_ERROR_SERVER

    public static final ReadWriteErrorCode INTERNAL_ERROR_SERVER

  - ### TAPE_NOT_FOUND_IN_CATALOG

    public static final ReadWriteErrorCode TAPE_NOT_FOUND_IN_CATALOG

  - ### NO_EMPTY_SLOT_FOUND

    public static final ReadWriteErrorCode NO_EMPTY_SLOT_FOUND

  - ### KO_TAPE_IS_OUTSIDE

    public static final ReadWriteErrorCode KO_TAPE_IS_OUTSIDE

  - ### TAPE_LOCATION_CONFLICT_ON_LOAD

    public static final ReadWriteErrorCode TAPE_LOCATION_CONFLICT_ON_LOAD
    Previous location should not be a drive, but a slot or mailbox Current location should not be null

  - ### TAPE_LOCATION_CONFLICT_ON_UNLOAD

    public static final ReadWriteErrorCode TAPE_LOCATION_CONFLICT_ON_UNLOAD

  - ### FILE_NOT_FOUND

    public static final ReadWriteErrorCode FILE_NOT_FOUND

  - ### NULL_CURRENT_TAPE

    public static final ReadWriteErrorCode NULL_CURRENT_TAPE

  - ### KO_DB_PERSIST

    public static final ReadWriteErrorCode KO_DB_PERSIST

  - ### KO_ON_LOAD_TAPE

    public static final ReadWriteErrorCode KO_ON_LOAD_TAPE

  - ### KO_ON_UNLOAD_TAPE

    public static final ReadWriteErrorCode KO_ON_UNLOAD_TAPE

  - ### KO_ON_WRITE_TO_TAPE

    public static final ReadWriteErrorCode KO_ON_WRITE_TO_TAPE

  - ### KO_ON_REWIND_TAPE

    public static final ReadWriteErrorCode KO_ON_REWIND_TAPE

  - ### KO_ON_REWIND_FSF_BSF_TAPE

    public static final ReadWriteErrorCode KO_ON_REWIND_FSF_BSF_TAPE

  - ### KO_ON_END_OF_TAPE

    public static final ReadWriteErrorCode KO_ON_END_OF_TAPE
    Tape is full

  - ### KO_ON_GOTO_FILE_COUNT

    public static final ReadWriteErrorCode KO_ON_GOTO_FILE_COUNT
    Ko on move to end of data according to file count of tape catalog

  - ### KO_ON_STATUS

    public static final ReadWriteErrorCode KO_ON_STATUS

  - ### KO_ON_LOAD_THEN_STATUS

    public static final ReadWriteErrorCode KO_ON_LOAD_THEN_STATUS

  - ### KO_ON_UNLOAD_THEN_STATUS

    public static final ReadWriteErrorCode KO_ON_UNLOAD_THEN_STATUS

  - ### KO_UNKNOWN_CURRENT_POSITION

    public static final ReadWriteErrorCode KO_UNKNOWN_CURRENT_POSITION

  - ### KO_ON_READ_FROM_TAPE

    public static final ReadWriteErrorCode KO_ON_READ_FROM_TAPE

  - ### KO_LABEL_DISCORDING_NOT_EMPTY_TAPE

    public static final ReadWriteErrorCode KO_LABEL_DISCORDING_NOT_EMPTY_TAPE

  - ### KO_LABEL_DISCORDING

    public static final ReadWriteErrorCode KO_LABEL_DISCORDING

  - ### KO_REWIND_BEFORE_FORCE_OVERRIDE_NON_EMPTY_TAPE

    public static final ReadWriteErrorCode KO_REWIND_BEFORE_FORCE_OVERRIDE_NON_EMPTY_TAPE

  - ### KO_ON_READ_LABEL

    public static final ReadWriteErrorCode KO_ON_READ_LABEL

  - ### TAPE_LOCATION_UNKNOWN

    public static final ReadWriteErrorCode TAPE_LOCATION_UNKNOWN

  - ### KO_TAPE_CURRENT_POSITION_GREATER_THAN_FILE_COUNT

    public static final ReadWriteErrorCode KO_TAPE_CURRENT_POSITION_GREATER_THAN_FILE_COUNT

  - ### KO_ON_GO_TO_POSITION

    public static final ReadWriteErrorCode KO_ON_GO_TO_POSITION

  - ### KO_REWIND_BEFORE_UNLOAD_TAPE

    public static final ReadWriteErrorCode KO_REWIND_BEFORE_UNLOAD_TAPE

  - ### KO_ON_WRITE_TO_FS

    public static final ReadWriteErrorCode KO_ON_WRITE_TO_FS

  - ### KO_ON_MOVE_TO_CACHE

    public static final ReadWriteErrorCode KO_ON_MOVE_TO_CACHE

  - ### KO_ON_DELETE_ARCHIVED_BACKUP

    public static final ReadWriteErrorCode KO_ON_DELETE_ARCHIVED_BACKUP

  - ### KO_TAPE_IS_BUSY

    public static final ReadWriteErrorCode KO_TAPE_IS_BUSY

  - ### KO_TAPE_CONFLICT_STATE

    public static final ReadWriteErrorCode KO_TAPE_CONFLICT_STATE

  - ### KO_DRIVE_STATUS_KO_AFTER_WRITE_ERROR

    public static final ReadWriteErrorCode KO_DRIVE_STATUS_KO_AFTER_WRITE_ERROR

- ## Method Details

  - ### values

    public static ReadWriteErrorCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ReadWriteErrorCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null